---

- name: create folder in vcenter
  vcenter_folder:
    datacenter_name: "{{ vmware_datacenter }}"
    folder_name: "{{ vmware_folder }}"
    folder_type: vm
    state: present
  delegate_to: localhost

- name: find vmware datastore name
  vmware_datastore_info:
    cluster: '{{ cluster }}'
    validate_certs: no
  delegate_to: localhost
  register: datastore

- name: create vm from template
  vmware_guest:
    validate_certs: no
    datacenter: "{{ vmware_datacenter }}"
    state: poweredon
    template: rhel8_template_50
    name: "{{ vm_name }}"
    cluster: "{{ cluster }}"
    folder: "{{ vmware_folder }}"
    hardware:
      memory_mb: "{{ memory }}"
      num_cpus: "{{ cpu_count }}"
      scsi: paravirtual
    networks:
      - name: "{{ nic_profile }}"
        ip: "{{ vm_ip }}"
        netmask: "{{ networks[nic_profile].nic_netmask }}"
        gateway: "{{ networks[nic_profile].nic_gateway }}"
    datastore: "{{ datastore.datastores[0].name }}"
    customization:
      domain: "{{ dns_search }}"
      dns_servers:
        - "{{ networks[nic_profile].dns_server }}"
      dns_suffix:
        - "{{ dns_search }}"
  delegate_to: localhost

- name: Wait for server to start
  wait_for: 
    host: "{{ vm_name }}"
    delay: 10 
    timeout: 1200 
    port: 22
  delegate_to: localhost

- pause:
    seconds: 20

- name: add host to running playbook
  ansible.builtin.add_host:
    hostname: "{{ vm_ip }}"
    groups: single_vm
  delegate_to: localhost
